Retrieves all place group categories
Use this endpoint to get the list of categories that organize place groups (e.g., “Region”, “Building Type”).
Each category contains one or more place groups. Includes the count of groups in each category.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
PlaceCategoryResponse
| Property | Description | Type |
|---|---|---|
| autoGroup | Is this category an automatically maintained one? | boolean |
| numberOfGroups | Number of groups within this category | integer (int32) |
| numberOfGroupsWithVisibleMembers | Number of groups within this category with members the logged in can see | integer (int32) |
| placeGroupCategoryCode | The place category code | string |
| placeGroupCategoryId | The place category identifier | integer (int32) |
| placeGroupCategoryInfo | The place category name | string |
Example Response
[
{ "autoGroup": false, "numberOfGroups": 1, "numberOfGroupsWithVisibleMembers": 1, "placeGroupCategoryCode": "string", "placeGroupCategoryId": 1, "placeGroupCategoryInfo": "string"
}
]